import { type PoolConfig } from 'pg';
import { PostgresDialect } from 'kysely';
import { AbstractSqlConnection } from '@mikro-orm/sql';
/** PostgreSQL database connection using the `pg` driver. */
export declare class PostgreSqlConnection extends AbstractSqlConnection {
  createKyselyDialect(overrides: PoolConfig): PostgresDialect;
  mapOptions(overrides: PoolConfig): PoolConfig;
}
